#
# spec file for package ghc-pandoc-types
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pandoc-types

Name:           ghc-pandoc-types
Version:        1.16.1
Release:        1.2
Summary:        Types for representing a structured document
License:        GPL-2.0
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-deepseq-generics-devel
BuildRequires:  ghc-syb-devel
# End cabal-rpm deps

%description
'Text.Pandoc.Definition' defines the 'Pandoc' data structure, which is used by
pandoc to represent structured documents. This module used to live in the
pandoc package, but starting with pandoc 1.7, it has been split off, so that
other packages can use it without drawing in all of pandoc's dependencies, and
pandoc itself can depend on packages (like citeproc-hs) that use them.

'Text.Pandoc.Builder' provides functions for building up 'Pandoc' structures
programmatically.

'Text.Pandoc.Generic' provides generic functions for manipulating Pandoc
documents.

'Text.Pandoc.Walk' provides faster, nongeneric functions for manipulating
Pandoc documents.

'Text.Pandoc.JSON' provides functions for serializing and deserializing a
'Pandoc' structure to and from JSON.
#' help EMACS syntax highlighting

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE 

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Thu Feb 11 2016 mimi.vx@gmail.com
-  update to 1.16.1
  * Export pandocTypesVersion from Text.Pandoc.Definition.
* Sat Jan 23 2016 mimi.vx@gmail.com
- update to 1.16.0.1
  * Added Attr field to Image and Link.
  * Added SoftBreak constructor to Inline
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 1.12.4.7
* Sun Jul 19 2015 mimi.vx@gmail.com
- update to 1.12.4.5
* Mon Jun  8 2015 mimi.vx@gmail.com
- update to 1.12.4.4
* Sun May 31 2015 mimi.vx@gmail.com
- change license file to COPYING
* Sun May 31 2015 mimi.vx@gmail.com
- update to 1.12.4.3
* Thu Apr 23 2015 mimi.vx@gmail.com
- update to 1.12.4.2
* Thu Mar 27 2014 sbahling@suse.com
- Correct package license
* Thu Mar 13 2014 sbahling@suse.com
- update to 1.12.3.2
* Tue Dec 31 2013 peter.trommler@ohm-hochschule.de
- update to 1.12.3
- needed for pandoc 1.12.2.1
* Sun Dec 29 2013 peter.trommler@ohm-hochschule.de
- merged d:l:haskell changes
* Mon Oct 21 2013 peter.trommler@ohm-hochschule.de
- merged defattr change from d:l:h
* Sun Sep 29 2013 sbahling@suse.com
- update to 1.12.1
* Tue May 14 2013 peter.trommler@ohm-hochschule.de
- new cabal-rpm spec file template
  * macros not spanning multiple spec file sections
* Fri Jan 25 2013 peter.trommler@ohm-hochschule.de
- update to 1.10 from upstream
- part of pandoc 1.10 release
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 template for spec file
* Tue Mar 13 2012 peter.trommler@ohm-hochschule.de
- rpmlint: filter debuginfo warning
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- upgrade to 1.9.1 from upstream
* Wed Jan 18 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
